[![Flutter Community: flutter_blurhash_loader](https://fluttercommunity.dev/_github/header/flutter_blurhash_loader)](https://github.com/fluttercommunity/community)

[![pub package](https://img.shields.io/pub/v/flutter_blurhash_loader.svg)](https://pub.dev/packages/flutter_blurhash_loader)

# Flutter BlurHash

Compact representation of a placeholder for an image with a loader.



## Flutter Code

Constrain your widget render area and let BlurHash fill the pixels.

```dart
class BlurHashApp extends StatelessWidget {
  const BlurHashApp({Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(title: Text("BlurHash")),
        body: SizedBox.expand(
          child: Center(
            child: AspectRatio(
              aspectRatio: 1.6,
              child: BlurHash(
                hash: "L5H2EC=PM+yV0g-mq.wG9c010J}I",
                showLoader: true,
              ),
            ),
          ),
        ),
      ),
    );
  }
}
```


